#!/bin/csh -f
# Write into the whole physmem, read (check) it, measure time.
#
# written by G. Kiss
# last modified: 09-Aug-2012


cd "`dirname $0`"
echo "./physmemTest_mod " $*
./physmemTest_mod $* > phystesttmp.dat
set problem = `grep -ic "ERROR" < phystesttmp.dat`
grep "#" < phystesttmp.dat | awk '{if (NR == 1) print "#", $2, $3, "\t"$4, "\t"$5, "\t"$6; else print " ", $2, "\t"$3, "\t"$4, "\t"$5, "\t"$6;}'


if ($problem) then
  echo "Careful, something went wrong. Check phystesttmp.dat!\n"
else
  rm -f phystesttmp.dat
endif
